commit:     1ea343dfb1500833c518e04492e591e285695d96
Author:     Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  6 17:28:04 2018 +0000
Commit:     Aaron Swenson <titanofold <AT> gentoo <DOT> org>
CommitDate: Sat Jan  6 17:28:36 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ea343df

app-office/gnucash: Bump to 2.6.19

Added myself as a maintainer.

Added dependency to prevent >=dev-scheme/guile-2.2 from being
considered as a satisfying depend. The GnuCash 2.6 series is only compatible
with guile-1.8 and guile-2.0. guile-2.2 support will come with the
GnuCash 2.7/3.0 series.

Added dependency on gnome-extra/yelp so that GnuCash can actually
display the help documentation.

Bug: https://bugs.gentoo.org/627010
Bug: https://bugs.gentoo.org/639786
Closes: https://bugs.gentoo.org/620314
Package-Manager: Portage-2.3.13, Repoman-2.3.3

 app-office/gnucash/Manifest              |   1 +
 app-office/gnucash/gnucash-2.6.19.ebuild | 131 +++++++++++++++++++++++++++++++
 app-office/gnucash/metadata.xml          |   4 +
 3 files changed, 136 insertions(+)

diff --git a/app-office/gnucash/Manifest b/app-office/gnucash/Manifest
index 851504f29b3..d00db65c5a5 100644
--- a/app-office/gnucash/Manifest
+++ b/app-office/gnucash/Manifest
@@ -1 +1,2 @@
 DIST gnucash-2.6.15.tar.bz2 13406483 BLAKE2B 
927838c5c9c11a19eb9f8e11726825458d5b414f4ef24baf1a7ae15c33825eeed2fd87892e728b37c43385360fd06a60df0bade4244b5c93dac5522f09849c92
 SHA512 
6ec0652565025ac8281152ed64f2f820ecdb17ead5f17738728e094d116e638a08af57a46c0d5b59679f30f142ce372a5f61bd164f68f6b608d09de37cec38c6
+DIST gnucash-2.6.19.tar.bz2 13612124 BLAKE2B 
cc66e4d7994274bb2ad97437333dbe62b0e9228e20e05e01fc7861bc45a8f07bc56d2a69850eda301d5e7f679d96a9d28c24c56a4860cff6727b66867482deae
 SHA512 
0a979caf48ba96d6f37a929036e7172855cfb03af8832f479966bce72fad3400903925134d33aaa31eb6b36a2041f5e0d3f74b88e95b83c7d76e96b1503bec13

diff --git a/app-office/gnucash/gnucash-2.6.19.ebuild 
b/app-office/gnucash/gnucash-2.6.19.ebuild
new file mode 100644
index 00000000000..b9f08f0f1f4
--- /dev/null
+++ b/app-office/gnucash/gnucash-2.6.19.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools gnome2 python-single-r1
+
+DESCRIPTION="A personal finance manager"
+HOMEPAGE="http://www.gnucash.org/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="chipcard debug +doc gnome-keyring hbci mysql ofx postgres python quotes 
sqlite"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+# README.dependencies mentions qof, but ${PN} has their own fork in the
+# source code that appears to have deviated from that project.
+#
+# libdbi version requirement for sqlite taken from bug #455134
+RDEPEND="
+       >=dev-libs/glib-2.32.0:2
+       >=dev-libs/libxml2-2.5.10:2
+       >=dev-libs/popt-1.5
+       >=dev-scheme/guile-1.8.5:12=[deprecated,regex]
+       <dev-scheme/guile-2.2
+       >=net-libs/webkit-gtk-1.2:2
+       >=sys-libs/zlib-1.1.4
+       >=x11-libs/goffice-0.7.0:0.8[gnome]
+       >=x11-libs/gtk+-2.24:2
+       dev-libs/libxslt
+       dev-scheme/guile-www
+       gnome-base/dconf
+       gnome-base/libgnomecanvas
+       x11-libs/pango
+       gnome-keyring? ( >=app-crypt/libsecret-0.18 )
+       hbci? (
+               >=net-libs/aqbanking-5[gtk,ofx?]
+               sys-libs/gwenhywfar[gtk]
+               chipcard? ( sys-libs/libchipcard )
+       )
+       mysql? (
+               dev-db/libdbi
+               dev-db/libdbi-drivers[mysql]
+       )
+       ofx? ( >=dev-libs/libofx-0.9.1 )
+       postgres? (
+               dev-db/libdbi
+               dev-db/libdbi-drivers[postgres]
+       )
+       python? ( ${PYTHON_DEPS} )
+       quotes? (
+               >=dev-perl/Finance-Quote-1.11
+               dev-perl/Date-Manip
+               dev-perl/HTML-TableExtract
+       )
+       sqlite? (
+               >=dev-db/libdbi-0.9.0
+               >=dev-db/libdbi-drivers-0.9.0[sqlite]
+       )
+"
+
+DEPEND="${RDEPEND}
+       dev-util/intltool
+       gnome-base/gnome-common
+       sys-devel/libtool
+       virtual/pkgconfig
+"
+
+PDEPEND="doc? (
+       ~app-doc/gnucash-docs-${PV}
+       gnome-extra/yelp
+)"
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       # Skip test that needs some locales to be present
+       sed -i -e '/test_suite_gnc_date/d' src/libqof/qof/test/test-qof.c || die
+
+       # We need to run eautoreconf to prevent linking against system libs,
+       # this can be noticed, for example, when updating an old version
+       # compiled against guile-1.8 to a newer one relying on 2.0
+       # https://bugs.gentoo.org/show_bug.cgi?id=590536#c39
+       # https://bugzilla.gnome.org/show_bug.cgi?id=775634
+       eautoreconf
+
+       gnome2_src_prepare
+}
+
+src_configure() {
+       local myconf
+
+       DOCS="doc/README.OFX doc/README.HBCI"
+
+       if use sqlite || use mysql || use postgres ; then
+               myconf+=" --enable-dbi"
+       else
+               myconf+=" --disable-dbi"
+       fi
+
+       # gtkmm is experimental and shouldn't be enabled, upstream bug #684166
+       gnome2_src_configure \
+               --disable-doxygen \
+               --disable-error-on-warning \
+               --disable-gtkmm \
+               --enable-locale-specific-tax \
+               $(use_enable debug) \
+               $(use_enable gnome-keyring password-storage) \
+               $(use_enable hbci aqbanking) \
+               $(use_enable ofx) \
+               $(use_enable python) \
+               ${myconf}
+}
+
+src_install() {
+       # Parallel installation fails from time to time, bug #359123
+       # Usually reproducible after removing any gnucash installed copy
+       MAKEOPTS="${MAKEOPTS} -j1" GNC_DOC_INSTALL_DIR=/usr/share/doc/${PF} \
+       gnome2_src_install
+
+       rm -rf 
"${ED}"/usr/share/doc/${PF}/{examples/,COPYING,INSTALL,*win32-bin.txt,projects.html}
+       mv "${ED}"/usr/share/doc/${PF} "${T}"/cantuseprepalldocs || die
+       dodoc "${T}"/cantuseprepalldocs/*
+}

diff --git a/app-office/gnucash/metadata.xml b/app-office/gnucash/metadata.xml
index 7053dc6a9c5..97283552223 100644
--- a/app-office/gnucash/metadata.xml
+++ b/app-office/gnucash/metadata.xml
@@ -1,6 +1,10 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
+       <maintainer type="person">
+               <email>titanof...@gentoo.org</email>
+               <name>Aaron W. Swenson</name>
+       </maintainer>
        <maintainer type="project">
                <email>gn...@gentoo.org</email>
                <name>Gentoo GNOME Desktop</name>

Reply via email to